package main

import (
	"flag"
	"os"
	"time"

	"git.ctrlz.es/mgdelacroix/birthdaybot/model"
	"git.ctrlz.es/mgdelacroix/birthdaybot/server"
	"github.com/charmbracelet/log"
)

func main() {
	configFlag := flag.String("config", "birthdaybot.yml", "path to the configuration file")
	flag.Parse()

	config, err := model.ReadConfig(*configFlag)
	if err != nil {
		log.Error("error reading config", "configPath", *configFlag, "error", err)
		os.Exit(1)
	}

	srv, err := server.New(config)
	if err != nil {
		log.Error("error creating server", "error", err)
		os.Exit(1)
	}

	srv.Start()

	time.Sleep(5 * time.Second)

	srv.Stop()
}
